alter procedure rrhh.sp_guardarAdjuntoEmpleado
@numId int,
@txtCodempleado varchar(15),
@numTipoDocumento int,
@txtNombreDocumento varchar(300),
@txtTipoArchivo varchar(50),
@txtExtensionArchivo varchar(10),
@numUsuario int,
@dbRespuesta varchar(300) output,
@dbNombreArchivo varchar(300) output,
@dbId int output
as
begin
	set nocount on;

	if @numId = 0
		begin
			insert into rrhh.det_adjuntosEmpleado(codempleado,idTipoDocumento,nombreDocumento,tipoArchivo,idUsuario) values(@txtCodempleado,@numTipoDocumento,@txtNombreDocumento,@txtTipoArchivo,@numUsuario);
			select @dbId = SCOPE_IDENTITY();
		end
	else
		begin
			set @dbId = @numId;
			update rrhh.det_adjuntosEmpleado set idTipoDocumento = @numTipoDocumento,nombreDocumento = @txtNombreDocumento,tipoArchivo = @txtTipoArchivo where id = @dbId;
		end

	set @dbNombreArchivo = 'doc'+CAST(@dbId as varchar)+'.'+@txtExtensionArchivo;

	update rrhh.det_adjuntosEmpleado set nombreArchivo = @dbNombreArchivo where id = @dbId;

	set @dbRespuesta = 'success';
end